# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRecentFilesAction Class Reference

Recent files action. More...

`#include <kactionclasses.h>`

Inheritance diagram for KRecentFilesAction:

[legend]
Collaboration diagram for KRecentFilesAction:

[legend]
List of all members.

## Public Slots

void | setMaxItems (uint maxItems)
void | loadEntries (KConfig *config, QString groupname=QString::null)
void | saveEntries (KConfig *config, QString groupname=QString::null)
void | addURL (const KURL &url)
void | removeURL (const KURL &url)
void | clearURLList ()

## Signals

void | urlSelected (const KURL &url)

## Public Member Functions

| KRecentFilesAction (const QString &text, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QIconSet &pix, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QString &pix, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (QObject *parent=0, const char *name=0, uint maxItems=10)
virtual | ~KRecentFilesAction ()
virtual int | plug (QWidget *widget, int index=-1)
uint | maxItems () const

## Protected Slots

void | itemSelected (const QString &string)
void | menuAboutToShow ()
void | menuItemActivated (int id)
void | slotClicked ()
virtual void | slotActivated (int)
virtual void | slotActivated (const QString &)
virtual void | slotActivated ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Properties

uint | maxItems

## Detailed Description

Recent files action.

This class is an action to handle a recent files submenu. The best way to create the action is to use KStdAction::openRecent. Then you simply need to call loadEntries on startup, saveEntries on shutdown, addURL when your application loads/saves a file.

Author:
  Michael Koch

Definition at line 686 of file kactionclasses.h.

## Constructor & Destructor Documentation

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |

Parameters:

  | text | The text that will be displayed.
  | cut | The corresponding keyboard accelerator (shortcut).
  | parent | This action's parent.
  | name | An internal name for this action.
  | maxItems | The maximum number of files to display

Definition at line 929 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |

Parameters:

  | text | The text that will be displayed.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  | parent | This action's parent.
  | name | An internal name for this action.
  | maxItems | The maximum number of files to display

Definition at line 941 of file kactionclasses.cpp.

References QObject::connect(), and urlSelected().

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The icons that go with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | parent | This action's parent.
  | name | An internal name for this action.
  | maxItems | The maximum number of files to display

Definition at line 959 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The dynamically loaded icon that goes with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | parent | This action's parent.
  | name | An internal name for this action.
  | maxItems | The maximum number of files to display

Definition at line 972 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The icons that go with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  | parent | This action's parent.
  | name | An internal name for this action.
  | maxItems | The maximum number of files to display

Definition at line 985 of file kactionclasses.cpp.

References QObject::connect(), and urlSelected().

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The dynamically loaded icon that goes with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  | parent | This action's parent.
  | name | An internal name for this action.
  | maxItems | The maximum number of files to display

Definition at line 1004 of file kactionclasses.cpp.

References QObject::connect(), and urlSelected().

KRecentFilesAction::KRecentFilesAction | ( | QObject * | parent = `0`,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |

Parameters:

  | parent | This action's parent.
  | name | An internal name for this action.
  | maxItems | The maximum number of files to display

Definition at line 1023 of file kactionclasses.cpp.

KRecentFilesAction::~KRecentFilesAction | ( |  | ) | `[virtual]`

| Destructor. Definition at line 1045 of file kactionclasses.cpp.

## Member Function Documentation

int KRecentFilesAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) | `[virtual]`

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KSelectAction object.

Parameters:

  | widget | The GUI element to display this action.
  | index | The index of the item.

Reimplemented from KSelectAction.

Definition at line 1189 of file kactionclasses.cpp.

References QWhatsThis::add(), QObject::connect(), QObject::destroyed(), KToolBar::getButton(), KAction::getToolButtonID(), KToolBar::insertButton(), KGlobal::instance(), KActionCollection::instance(), KAction::isEnabled(), KSelectAction::plug(), KToolBar::setDelayedPopup(), and KAction::whatsThis().

uint KRecentFilesAction::maxItems | ( |  | ) | const

| Returns the maximum of items in the recent files list.

void KRecentFilesAction::setMaxItems | ( | uint | maxItems | ) | `[slot]`

| Sets the maximum of items in the recent files list. The default for this value is 10 set in the constructor. If this value is lesser than the number of items currently in the recent files list the last items are deleted until the number of items are equal to the new maximum. Definition at line 1056 of file kactionclasses.cpp. References KSelectAction::items(), and KSelectAction::setItems().

void KRecentFilesAction::loadEntries | ( | KConfig * | config,
|  | QString | groupname = `QString::null`
| ) | `[slot]`

Loads the recent files entries from a given KConfig object.

You can provide the name of the group used to load the entries. If the groupname is empty, entries are load from a group called 'RecentFiles'

This method does not effect the active group of KConfig.

Definition at line 1116 of file kactionclasses.cpp.

References QString::arg(), QString::isEmpty(), QString::isNull(), and KSelectAction::setItems().

void KRecentFilesAction::saveEntries | ( | KConfig * | config,
|  | QString | groupname = `QString::null`
| ) | `[slot]`

| Saves the current recent files entries to a given KConfig object. You can provide the name of the group used to load the entries. If the groupname is empty, entries are saved to a group called 'RecentFiles' This method does not effect the active group of KConfig. Definition at line 1145 of file kactionclasses.cpp. References QString::arg(), QString::isEmpty(), and KSelectAction::items().

void KRecentFilesAction::addURL | ( | const KURL & | url | ) | `[slot]`

Add URL to recent files list.

Parameters:

  | url | The URL of the file

Definition at line 1076 of file kactionclasses.cpp.

References KGlobal::dirs(), KSelectAction::items(), KStandardDirs::relativeLocation(), KSelectAction::setItems(), and QString::startsWith().

void KRecentFilesAction::removeURL | ( | const KURL & | url | ) | `[slot]`

Remove an URL from the recent files list.

Parameters:

  | url | The URL of the file

Definition at line 1098 of file kactionclasses.cpp.

References KSelectAction::items(), and KSelectAction::setItems().

void KRecentFilesAction::clearURLList | ( |  | ) | `[slot]`

| Removes all entries from the recent files list. Definition at line 1111 of file kactionclasses.cpp. References KSelectAction::clear().

void KRecentFilesAction::urlSelected | ( | const KURL & | url | ) | `[signal]`

This signal gets emited when the user selects an URL.

Parameters:

  | url | The URL thats the user selected.

Referenced by KRecentFilesAction().

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:00 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003